## ros-kinetic-rqt-gui-cpp 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_gui_cpp)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS qt_gui qt_gui_cpp roscpp nodelet)
catkin_package(
	INCLUDE_DIRS include 
	LIBRARIES ${PROJECT_NAME} 
	CATKIN_DEPENDS qt_gui qt_gui_cpp roscpp nodelet
)

include_directories(include ${catkin_INCLUDE_DIRS})

find_package(Qt5Widgets REQUIRED)

SET(rqt_gui_cpp_SRCS
  src/rqt_gui_cpp/nodelet_plugin_provider.cpp
  src/rqt_gui_cpp/roscpp_plugin_provider.cpp
)

set(rqt_gui_cpp_HDRS
  src/rqt_gui_cpp/roscpp_plugin_provider.h
)

qt5_wrap_cpp(rqt_gui_cpp_MOCS ${rqt_gui_cpp_HDRS})

add_library(${PROJECT_NAME} ${rqt_gui_cpp_SRCS} ${rqt_gui_cpp_MOCS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} Qt5::Widgets)

if(APPLE) 
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-gui-cpp (0.5.0-0xenial) xenial; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.1-0xenial) xenial; urgency=high

  * add missing build dependency

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.0-0xenial) xenial; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.14-0xenial) xenial; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.12-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.11-0xenial) xenial; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.10-0xenial) xenial; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.9-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.7-0xenial) xenial; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-gui-cpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-kinetic-catkin, ros-kinetic-nodelet, ros-kinetic-qt-gui (>= 0.3.0), ros-kinetic-qt-gui-cpp (>= 0.3.0), ros-kinetic-roscpp
Homepage: http://ros.org/wiki/rqt_gui_cpp
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-nodelet, ros-kinetic-qt-gui (>= 0.3.0), ros-kinetic-qt-gui-cpp (>= 0.3.0), ros-kinetic-roscpp
Description: rqt_gui_cpp enables GUI plugins to use the C++ client library for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-gui-cpp//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
